Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Scheme
Class STools

    java.lang.Object
      SEdit.Scheme.STools

    public class STools

extends java.lang.Object

une classe qui contient un ensemble de procedures effectuant l'interface entre SEdit et Kawa

Constructor Summary
`STools()`

Method Summary
`static LList` | `delete(java.lang.Object elt, LList lst)`
`static java.lang.Object` | `evalit(java.lang.Object expr, java.util.Hashtable env)`
`static java.lang.Object` | `evalit1(java.lang.Object expr, java.util.Hashtable env)` Evalue une expression
`static LList` | `javaVectorToList(java.util.Vector v)` transforme un vecteur java.util.Vector en liste Scheme
`static java.util.Vector` | `listToJavaVector(LList lst)` transforme une liste en un vecteur java
`static java.util.Hashtable` | `match(java.lang.Object pat, java.lang.Object fact)` la fonction de filtrage d'appel
`static java.util.Hashtable` | `match(java.lang.Object pat, java.lang.Object fact, java.util.Hashtable subst)`
`static void` | `prin(java.lang.Object value, OutPort out)`
`static void` | `print(java.lang.Object value, OutPort out)`
`static java.lang.String` | `prinToString(java.lang.Object o)` print an expression to a String in a human-readable way (i.e. without quotes around strings)
`static java.lang.Object` | `readFromString(java.lang.String str)`
`static java.lang.Object` | `subst(java.lang.Object expr, java.util.Hashtable env)`
`static java.lang.String` | `writeToString(java.lang.Object o)` print an expression to a String in a machine-readable way (i.e. with quotes around strings)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STools

    public STools()

Method Detail

### javaVectorToList

    public static LList javaVectorToList(java.util.Vector v)

  transforme un vecteur java.util.Vector en liste Scheme

### readFromString

    public static java.lang.Object readFromString(java.lang.String str)
                                           throws java.io.IOException,
                                                  gnu.text.SyntaxException

  Throws:
    `java.io.IOException`
    `gnu.text.SyntaxException`

### prinToString

    public static java.lang.String prinToString(java.lang.Object o)

  print an expression to a String in a human-readable way (i.e. without quotes around strings)

### writeToString

    public static java.lang.String writeToString(java.lang.Object o)

  print an expression to a String in a machine-readable way (i.e. with quotes around strings)

### print

    public static void print(java.lang.Object value,
                             OutPort out)

### prin

    public static void prin(java.lang.Object value,
                            OutPort out)

### listToJavaVector

    public static java.util.Vector listToJavaVector(LList lst)

  transforme une liste en un vecteur java

### match

    public static java.util.Hashtable match(java.lang.Object pat,
                                            java.lang.Object fact)

  la fonction de filtrage d'appel

### match

    public static java.util.Hashtable match(java.lang.Object pat,
                                            java.lang.Object fact,
                                            java.util.Hashtable subst)

### subst

    public static java.lang.Object subst(java.lang.Object expr,
                                         java.util.Hashtable env)

### evalit1

    public static java.lang.Object evalit1(java.lang.Object expr,
                                           java.util.Hashtable env)

  Evalue une expression

### evalit

    public static java.lang.Object evalit(java.lang.Object expr,
                                          java.util.Hashtable env)

### delete

    public static LList delete(java.lang.Object elt,
                               LList lst)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.